// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
form(nz-form, [formGroup]="form", (ngSubmit)="onSubmit()")
  nz-form-item(*ngFor="let input of portalInputs")
    nz-form-label([nzFor]="input.displayName", [nzSpan]="24")
      span
        | {{ input.displayName }}
        i.ryax-help(nz-icon, nz-tooltip="", [nzTooltipTitle]="helpTemplate", nzType="question-circle", theme="outline")
      ng-template(#helpTemplate)
        span {{ input.help }}
    nz-form-control([nzSpan]="24")
      input(*ngIf="matchInput(textCheck, input.type)", nz-input, type="text", [id]="input.displayName", [formControlName]="input.id", placeholder="Enter value", nzSize="large")
      input(*ngIf="matchInput(boolCheck, input.type)", nz-input, type="checkbox", [id]="input.displayName", [formControlName]="input.id", placeholder="Enter value", nzSize="large")
      nz-input-number(*ngIf="matchInput(numberCheck, input.type)", [id]="input.displayName", [formControlName]="input.id", nzSize="large")
      ryax-upload(*ngIf="matchInput(fileCheck, input.type)", [id]="input.displayName", [formControlName]="input.id", listType="picture-card")
      nz-input-group(*ngIf="matchInput(passwordCheck, input.type)", [nzSuffix]="suffixTemplate")
        input(#inputPass, type="password", nz-input, [formControlName]="input.id", placeholder="Enter value", nzSize="large")
        ng-template(#suffixTemplate)
          i(nz-icon, [nzType]="inputPass.type === 'text' ? 'eye-invisible' : 'eye'", (click)="switchType(inputPass)")
      textarea(*ngIf="matchInput(textareaCheck, input.type)" rows="4", nz-input, [id]="input.displayName", [formControlName]="input.id", placeholder="Enter value", nzSize="large")
      nz-select(*ngIf="matchInput(selectCheck, input.type)", [id]="input.displayName", [formControlName]="input.id", nzPlaceHolder="Enter value")
        nz-option(*ngFor="let selectOption of input.enumValues", [nzValue]="selectOption", [nzLabel]="selectOption")
      ryax-upload(*ngIf="matchInput(dirCheck, input.type)", [id]="input.displayName", [formControlName]="input.id", listType="picture-card", [nzDirectory]="true")

  nz-form-item.ryax-buttons
    button(nz-button, nzType="primary", type="submit", [disabled]="form.invalid") Create execution
